<?php 

include('config/function.php');

if(!isset($_SESSION['user_name']) || empty($_SESSION['user_name']))
{
header('location:login.php');
exit();
}

/* set variable */
$pagename = "Logo";
$pagetaskname = " Add ";

/* set var blank */
$id = "";
$msg = "";	
$sess_msg = "";
$title = "";
$image = "";
$logo_title = "";
$fav_icon_image = "";
$status = "";

/* get id */

	$id = '1';


if(isset($_POST['submit']) && $_POST['submit']=="add")
{
	$logo_title = addslashes(ucwords(trim($_POST['logo_title'])));
	
	/* check title in database */

			
				$query_update="UPDATE logo SET logo_title='".$logo_title."' WHERE id='".$id."'";
				if($sql_update=$conn->prepare($query_update))
				{
					$sql_update->execute();
					$sess_msg = $pagename." Update Successfully.";		
				}
			
			if(isset($_FILES['logo_image']) && $_FILES['logo_image']['error']==0)
			{

				$array = explode('.', $_FILES['logo_image']['name']);
				$logoimage = $array[0];
				$logoimage1 = $array[1];
				$time =time();
				$logoimage = $time.$logoimage;
				$logoimage = str_replace("---","-",preg_replace("/[^-a-zA-Z0-9s]/", "-", strtolower(trim($logoimage)))); 
				$logoimage = $logoimage.".".$logoimage1;  

			    $logoimagename = "";
					if($id!="")
					{

					$queryinfo = "SELECT logo_image FROM `logo` WHERE id = '".$id."'";
					if($sql_select = $conn->query($queryinfo))
					{
					if($sql_select->num_rows>0)
					{
					$resultinfo = $sql_select->fetch_array(MYSQLI_ASSOC);

					$logoimagename =  trim($resultinfo['logo_image']);
					}
					}
					}
						if($logoimagename!="")
						{
						$unlkheaderfile = "uploads/logo/".$logoimagename;
						if (file_exists($unlkheaderfile)) { unlink($unlkheaderfile); }
						}
					$logofilename = "uploads/logo/". $logoimage;
					$mv =move_uploaded_file($_FILES['logo_image']['tmp_name'],$logofilename);
					$query_imageup="UPDATE logo SET logo_image='".$logoimage."' WHERE id='".$id."'";
					if($sql_imageup=$conn->prepare($query_imageup))
					$sql_imageup->execute();
			} 

			
			if(isset($_FILES['fav_icon_image']) && $_FILES['fav_icon_image']['error']==0)
			{

				$array = explode('.', $_FILES['fav_icon_image']['name']);
				$logoimage = $array[0];
				$logoimage1 = $array[1];
				$time =time();
				$logoimage = $time.$logoimage;
				$logoimage = str_replace("---","-",preg_replace("/[^-a-zA-Z0-9s]/", "-", strtolower(trim($logoimage)))); 
				$logoimage = $logoimage.".".$logoimage1;  

			    $logoimagename = "";
					if($id!="")
					{

					$queryinfo = "SELECT fav_icon_image FROM `logo` WHERE id = '".$id."'";
					if($sql_select = $conn->query($queryinfo))
					{
					if($sql_select->num_rows>0)
					{
					$resultinfo = $sql_select->fetch_array(MYSQLI_ASSOC);

					$logoimagename =  trim($resultinfo['fav_icon_image']);
					}
					}
					}
						if($logoimagename!="")
						{
						$unlkheaderfile = "uploads/logo/".$logoimagename;
						if (file_exists($unlkheaderfile)) { unlink($unlkheaderfile); }
						}
					$logofilename = "uploads/logo/". $logoimage;
					$mv =move_uploaded_file($_FILES['fav_icon_image']['tmp_name'],$logofilename);
					$query_imageup="UPDATE logo SET fav_icon_image='".$logoimage."' WHERE id='".$id."'";
					if($sql_imageup=$conn->prepare($query_imageup))
					$sql_imageup->execute();
			} 

		  
			
			
			
			echo "<script>document.location.href='add-logo.php?msg=".$sess_msg."';</script>";
			exit;
		
}

/* Listing  */
if($id!="")
{
    $query_select="SELECT * FROM logo WHERE id='".$id."'";
	if($sql_select=$conn->query($query_select))
	{ 
		if($sql_select->num_rows>0)
		{
			$result=$sql_select->fetch_array(MYSQLI_ASSOC);
			$logo_title = stripslashes($result['logo_title']);
			$logo_image   = $result['logo_image'];
			$fav_icon_image  = $result['fav_icon_image'];
			 
			$pagetaskname = " Update ";
		}
		else
		{
			echo "<script>document.location.href='add-logo.php';</script>";
			exit;
		}
    }
}

?>
<!DOCTYPE html>
<html>
<meta http-equiv="content-type" content="text/html;charset=utf-8" />
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport"> 
  <title>Dashboard</title>
 
  <link rel="stylesheet" href="bower_components/font-awesome/css/font-awesome.min.css">
  <link rel="stylesheet" href="bower_components/Ionicons/css/ionicons.min.css">
  <link rel="stylesheet" href="dist/css/AdminLTE.min.css">
  <link rel="stylesheet" href="dist/css/skins/_all-skins.min.css">

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
		<script src="dist/js/editor.js"></script>
		<script>
			$(document).ready(function() {
				$("#txtEditor").Editor();
			});
		</script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
		<link href="dist/css/editor.css" type="text/css" rel="stylesheet"/>
    
</head>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">

  <?php include('header.php') ?>
  <?php include('left-menu.php') ?>
  <div class="content-wrapper">
    <section class="content">
      <div class="row">
       <div class="col-md-12">
          <div class="main-title">
           <?php if(isset($_REQUEST['msg'])) { ?> <h5 class="h5-headn hegt-96" style="color:green;"><?php echo $_REQUEST['msg']; ?></h5> <?php } else { ?>
           <h3>Add Logo</h3>
		   <?php } ?>
           </div>
          </div>
          <div class="col-md-12">
          <div class="field-section">
              <form method="post" enctype="multipart/form-data">
              <div class="row">
             
                    <div class="col-md-4">
                    <label class="input-text">Logo Image</label>
                    <div class="form-group">
					<?php 
					   if($logo_image!="")
						   {
					?>
					<img src="uploads/logo/<?php echo $result['logo_image'];?>" height="100" width="120" title="<?php echo $title; ?> Image">
					   <?php 
						  }	
					   ?>
                      <input type="file" name="logo_image" class="from-control custom-type">
                   </div>
                  </div>

                      <div class="col-md-4">
                    <label class="input-text">Fav Logo</label>
                    <div class="form-group">
					<?php 
					   if($fav_icon_image!="")
						   {
					?>
					<img src="uploads/logo/<?php echo $result['fav_icon_image'];?>" height="100" width="120" title="<?php echo $title; ?> Image">
					   <?php 
						  }	
					   ?>
                      <input type="file" name="fav_icon_image" class="from-control custom-type">
                   </div>
                  </div>
         
         
                 
                  </div>
                  <div class="row">
 
 
            
        
                  <div class="col-md-12">
                      
                   <button type="submit" name="submit" value="add" class="btn btn-submit">Submit</button>     
                                            
                  </div>
              </div>
              </form>
              </div>
          </div>
        
      </div>
    </section>
  </div>
 <?php include 'footer.php';?>
</div>
	

<script src="bower_components/jquery-ui/jquery-ui.min.js"></script>
<script>
  $.widget.bridge('uibutton', $.ui.button);
</script>
<script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
<script src="dist/js/adminlte.min.js"></script>


</body>
</html>
